Package org.apache.sysds.runtime.iogen

## Class ReaderMapping

- java.lang.Object
- - org.apache.sysds.runtime.iogen.ReaderMapping

- Direct Known Subclasses:
    `ReaderMapping.FrameReaderMapping`, `ReaderMapping.MatrixReaderMapping`

      public abstract class ReaderMapping
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ReaderMapping.FrameReaderMapping` |
    `static class` | `ReaderMapping.MatrixReaderMapping` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReaderMapping​(String raw)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CustomProperties` | `getFileFormatPropertiesOfRRCIMapping()` |
    `CustomProperties` | `getFileFormatPropertiesOfRRCRMapping()` |
    `CustomProperties` | `getFormatProperties()` |
    `boolean` | `isMapped()` |
    `boolean` | `isRowRegular()` |
    `boolean` | `isSymmetric()` |
    `void` | `runMapping()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderMapping

          public ReaderMapping​(String raw)
                        throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### runMapping

          public void runMapping()
                          throws Exception

      Throws:
        `Exception`

    - #### getFormatProperties

          public final CustomProperties getFormatProperties()
                                                     throws Exception

      Throws:
        `Exception`

    - #### isRowRegular

          public final boolean isRowRegular()

    - #### getFileFormatPropertiesOfRRCRMapping

          public final CustomProperties getFileFormatPropertiesOfRRCRMapping()

    - #### getFileFormatPropertiesOfRRCIMapping

          public CustomProperties getFileFormatPropertiesOfRRCIMapping()

    - #### isSymmetric

          public boolean isSymmetric()

    - #### isMapped

          public boolean isMapped()